Bug 29180 - System preference RequestOnOpac should be renamed
Summary: System preference RequestOnOpac should be renamed
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Nick Clemens
URL:
Keywords: Manual-updated
Depends on: 2334
Blocks:
  Show dependency treegraph
 
Reported: 2021-10-05 17:39 UTC by Nick Clemens
Modified: 2022-01-05 17:40 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
System preference RequestOnOpac renamed to OPACHoldRequests. It could be confused with the 'Article Request' feature and does not follow Koha terminology - OPAC related system preferences normally start with OPAC.
Version(s) released in:
21.11.00


Attachments
Bug 29180: Rename syspref RequestOnOpac with OPACHoldRequests (22.56 KB, patch)
2021-11-04 13:42 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29180: Rename syspref RequestOnOpac with OPACHoldRequests (22.58 KB, patch)
2021-11-04 17:26 UTC, Andrew Fuerste-Henry
Details | Diff | Splinter Review
Bug 29180: Rename syspref RequestOnOpac with OPACHoldRequests (22.64 KB, patch)
2021-11-05 10:27 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 29180: (QA follow-up) Alphabetize sysprefs.sql (9.99 KB, patch)
2021-11-05 10:27 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 29180: (QA follow-up) Don't alter old DB up date (1009 bytes, patch)
2021-11-05 10:27 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2021-10-05 17:39:41 UTC
It is a confusing name because we have 'Article Request' as a feature, and this does not follow Koha terminology

Possibly, 'AllowHoldsOnOpac'?
Comment 1 Owen Leonard 2021-10-05 18:29:34 UTC
(In reply to Nick Clemens from comment #0)

> Possibly, 'AllowHoldsOnOpac'?

+1
Comment 2 Katrin Fischer 2021-10-05 22:00:22 UTC
Hm, I suggest AllowOpacHolds - but yes, took me ages to remember that one...
Comment 3 Jonathan Druart 2021-10-19 08:12:54 UTC
OPACHoldRequests? (don't we usually prefix OPAC sysprefs by 'OPAC'?)
Comment 4 Katrin Fischer 2021-10-19 08:21:55 UTC
(In reply to Jonathan Druart from comment #3)
> OPACHoldRequests? (don't we usually prefix OPAC sysprefs by 'OPAC'?)

+1
Comment 5 Jonathan Druart 2021-11-04 13:42:06 UTC
Created attachment 127318 [details] [review]
Bug 29180: Rename syspref RequestOnOpac with OPACHoldRequests

It is a confusing name because we have 'Article Request' as a feature,
and this does not follow Koha terminology.

Test plan:
`updatedatabase` and confirm that the syspref has been renamed
`git grep RequestOnOpac` => No occurrence in the code

QA: The syspref's value is always retrieved using Koha.Preference from
.tt files, we don't need to send it from controllers or C4::Auth
Comment 6 Andrew Fuerste-Henry 2021-11-04 17:26:36 UTC
Created attachment 127324 [details] [review]
Bug 29180: Rename syspref RequestOnOpac with OPACHoldRequests

It is a confusing name because we have 'Article Request' as a feature,
and this does not follow Koha terminology.

Test plan:
`updatedatabase` and confirm that the syspref has been renamed
`git grep RequestOnOpac` => No occurrence in the code

QA: The syspref's value is always retrieved using Koha.Preference from
.tt files, we don't need to send it from controllers or C4::Auth

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>
Comment 7 Nick Clemens 2021-11-05 10:27:17 UTC
Created attachment 127351 [details] [review]
Bug 29180: Rename syspref RequestOnOpac with OPACHoldRequests

It is a confusing name because we have 'Article Request' as a feature,
and this does not follow Koha terminology.

Test plan:
`updatedatabase` and confirm that the syspref has been renamed
`git grep RequestOnOpac` => No occurrence in the code

QA: The syspref's value is always retrieved using Koha.Preference from
.tt files, we don't need to send it from controllers or C4::Auth

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 8 Nick Clemens 2021-11-05 10:27:20 UTC
Created attachment 127352 [details] [review]
Bug 29180: (QA follow-up) Alphabetize sysprefs.sql

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 9 Nick Clemens 2021-11-05 10:27:23 UTC
Created attachment 127353 [details] [review]
Bug 29180: (QA follow-up) Don't alter old DB up date

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 10 Jonathan Druart 2021-11-05 11:07:30 UTC
Thanks Nick, good catches!
Comment 11 Jonathan Druart 2021-11-05 11:15:03 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 12 Aude Charillon 2022-01-05 17:40:08 UTC
Changes for this bug are now incorporated in the manual. Here are the changes made: renamed system preference RequestOnOpac to OPACHoldRequests in OPAC preferences, OPAC and Implementation checklist (see https://gitlab.com/koha-community/koha-manual/-/commit/f669393bf840c9e0b0a4cf54e38bff4fb289c8d5)